list(APPEND publishing_HEADERS 
    pdf/PdfDocument.h
    pdf/PdfDocumentCatalog.h
    pdf/PdfDictionary.h
    pdf/PdfObject.h
    pdf/PdfOutline.h
    pdf/PdfPageTree.h
    pdf/PdfPage.h
    pdf/PdfStream.h
    pdf/PdfXRefTable.h
    pdf/PdfWriter.h
    )

list(APPEND publishing_LIB_INCLUDES 
    pdf/PdfDocument.cpp
    pdf/PdfDocumentCatalog.cpp
    pdf/PdfDictionary.cpp
    pdf/PdfObject.cpp
    pdf/PdfOutline.cpp
    pdf/PdfPageTree.cpp
    pdf/PdfPage.cpp
    pdf/PdfStream.cpp
    pdf/PdfXRefTable.cpp
    pdf/PdfWriter.cpp
    DocumentConverter.cpp
    )

add_library(publishing SHARED ${publishing_LIB_INCLUDES} ${publishing_INCLUDES} ${publishing_HEADERS})

target_include_directories(publishing PUBLIC
                          "${CMAKE_CURRENT_SOURCE_DIR}"
                          "${CMAKE_CURRENT_SOURCE_DIR}/pdf"
                          )
set_target_properties( publishing PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON )                          
target_link_libraries( publishing PUBLIC core web)

set_property(TARGET publishing PROPERTY FOLDER src)